## hexstrike-ai 0.0~git20250820.0475ec4

=== requirements.txt ===
# HexStrike AI MCP Agents v6.0 
#
# INSTALLATION COMMANDS:
# python3 -m venv hexstrike_env
# source hexstrike_env/bin/activate
# python3 -m pip install -r requirements.txt
# python3 hexstrike_server.py

# ============================================================================
# CORE FRAMEWORK DEPENDENCIES (ACTUALLY USED)
# ============================================================================
flask>=2.3.0,<4.0.0             # Web framework for API server (flask import)
requests>=2.31.0,<3.0.0         # HTTP library (requests import)
psutil>=5.9.0,<6.0.0            # System utilities (psutil import)
fastmcp>=0.2.0,<1.0.0           # MCP framework (from mcp.server.fastmcp import FastMCP)

# ============================================================================
# WEB SCRAPING & AUTOMATION (ACTUALLY USED)
# ============================================================================
beautifulsoup4>=4.12.0,<5.0.0   # HTML parsing (from bs4 import BeautifulSoup)
selenium>=4.15.0,<5.0.0         # Browser automation (selenium imports)
webdriver-manager>=4.0.0,<5.0.0 # ChromeDriver management (referenced in code)

# ============================================================================
# ASYNC & NETWORKING (ACTUALLY USED)
# ============================================================================
aiohttp>=3.8.0,<4.0.0           # Async HTTP (aiohttp import)

# ============================================================================
# PROXY & TESTING (ACTUALLY USED)
# ============================================================================
mitmproxy>=9.0.0,<11.0.0        # HTTP proxy (mitmproxy imports)

# ============================================================================
# BINARY ANALYSIS (CONDITIONALLY USED)
# ============================================================================
pwntools>=4.10.0,<5.0.0         # Binary exploitation (from pwn import *)
angr>=9.2.0,<10.0.0             # Binary analysis (import angr)

# ============================================================================
# EXTERNAL SECURITY TOOLS (150+ Tools - Install separately)
# ============================================================================
# 
# HexStrike v6.0 integrates with 150+ external security tools that must be
# installed separately from their official sources:
# 
# 🔍 Network & Reconnaissance (25+ tools):
# - nmap, masscan, rustscan, autorecon, amass, subfinder, fierce
# - dnsenum, theharvester, responder, netexec, enum4linux-ng
# 
# 🌐 Web Application Security (40+ tools):
# - gobuster, feroxbuster, ffuf, dirb, dirsearch, nuclei, nikto
# - sqlmap, wpscan, arjun, paramspider, x8, katana, httpx
# - dalfox, jaeles, hakrawler, gau, waybackurls, wafw00f
# 
# 🔐 Authentication & Password (12+ tools):
# - hydra, john, hashcat, medusa, patator, netexec
# - evil-winrm, hash-identifier, ophcrack
# 
# 🔬 Binary Analysis & Reverse Engineering (25+ tools):
# - ghidra, radare2, gdb, binwalk, ropgadget, checksec, strings
# - volatility3, foremost, steghide, exiftool, angr, pwntools
# 
# ☁️ Cloud & Container Security (20+ tools):
# - prowler, scout-suite, trivy, kube-hunter, kube-bench
# - docker-bench-security, checkov, terrascan, falco
# 
# 🏆 CTF & Forensics (20+ tools):
# - volatility3, autopsy, sleuthkit, stegsolve, zsteg, outguess
# - photorec, testdisk, scalpel, bulk-extractor
# 
# 🕵️ OSINT & Intelligence (20+ tools):
# - sherlock, social-analyzer, recon-ng, maltego, spiderfoot
# - shodan-cli, censys-cli, have-i-been-pwned
# 
# Installation Notes:
# 1. Kali Linux 2024.1+ includes most tools by default
# 2. Ubuntu/Debian users should install tools from official repositories
# 3. Some tools require compilation from source or additional setup
# 4. Cloud tools require API keys and authentication configuration
# 5. Browser Agent requires Chrome/Chromium and ChromeDriver installation
# 
# For complete installation instructions and setup guides, see README.md

=== debian/changelog ===
hexstrike-ai (0.0~git20250820.0475ec4-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Fri, 05 Sep 2025 15:07:25 +0200

## hexstrike-ai 0.0~git20250919.3326704

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# HexStrike AI MCP Agents v6.0 
+# HexStrike AI MCP Agents v6.0
 #
 # INSTALLATION COMMANDS:
 # python3 -m venv hexstrike_env
@@ -36,48 +36,49 @@
 # ============================================================================
 pwntools>=4.10.0,<5.0.0         # Binary exploitation (from pwn import *)
 angr>=9.2.0,<10.0.0             # Binary analysis (import angr)
+bcrypt==4.0.1                   # Pin bcrypt version for passlib compatibility (fixes pwntools dependency issue)
 
 # ============================================================================
 # EXTERNAL SECURITY TOOLS (150+ Tools - Install separately)
 # ============================================================================
-# 
+#
 # HexStrike v6.0 integrates with 150+ external security tools that must be
 # installed separately from their official sources:
-# 
+#
 # 🔍 Network & Reconnaissance (25+ tools):
 # - nmap, masscan, rustscan, autorecon, amass, subfinder, fierce
 # - dnsenum, theharvester, responder, netexec, enum4linux-ng
-# 
+#
 # 🌐 Web Application Security (40+ tools):
 # - gobuster, feroxbuster, ffuf, dirb, dirsearch, nuclei, nikto
 # - sqlmap, wpscan, arjun, paramspider, x8, katana, httpx
 # - dalfox, jaeles, hakrawler, gau, waybackurls, wafw00f
-# 
+#
 # 🔐 Authentication & Password (12+ tools):
 # - hydra, john, hashcat, medusa, patator, netexec
 # - evil-winrm, hash-identifier, ophcrack
-# 
+#
 # 🔬 Binary Analysis & Reverse Engineering (25+ tools):
 # - ghidra, radare2, gdb, binwalk, ropgadget, checksec, strings
 # - volatility3, foremost, steghide, exiftool, angr, pwntools
-# 
+#
 # ☁️ Cloud & Container Security (20+ tools):
 # - prowler, scout-suite, trivy, kube-hunter, kube-bench
 # - docker-bench-security, checkov, terrascan, falco
-# 
+#
 # 🏆 CTF & Forensics (20+ tools):
 # - volatility3, autopsy, sleuthkit, stegsolve, zsteg, outguess
 # - photorec, testdisk, scalpel, bulk-extractor
-# 
+#
 # 🕵️ OSINT & Intelligence (20+ tools):
 # - sherlock, social-analyzer, recon-ng, maltego, spiderfoot
 # - shodan-cli, censys-cli, have-i-been-pwned
-# 
+#
 # Installation Notes:
 # 1. Kali Linux 2024.1+ includes most tools by default
 # 2. Ubuntu/Debian users should install tools from official repositories
 # 3. Some tools require compilation from source or additional setup
 # 4. Cloud tools require API keys and authentication configuration
 # 5. Browser Agent requires Chrome/Chromium and ChromeDriver installation
-# 
+#
 # For complete installation instructions and setup guides, see README.md

=== debian/changelog ===
hexstrike-ai (0.0~git20250919.3326704-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250919.3326704

 -- Sophie Brun <sophie@kali.org>  Thu, 23 Oct 2025 14:30:35 +0200

hexstrike-ai (0.0~git20250909.07d8805-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250909.07d8805

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Sep 2025 16:40:14 +0200

=== debian/control ===
Source: hexstrike-ai
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Standards-Version: 4.7.2
Homepage: https://github.com/0x4m4/hexstrike-ai
Vcs-Browser: https://gitlab.com/kalilinux/packages/hexstrike-ai
Vcs-Git: https://gitlab.com/kalilinux/packages/hexstrike-ai.git

Package: hexstrike-ai
Architecture: all
Depends: mitmproxy,
         python3-aiohttp,
         python3-bs4,
         python3-flask,
         python3-mcp,
         python3-psutil,
         python3-pwntools,
         python3-requests,
         python3-selenium,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dirb, gobuster, hashcat, hydra, john, nikto, nmap, sqlmap
Description: AI-Powered MCP Cybersecurity Automation Platform
 This package contains an HexStrike AI MCP v6.0 which features a multi-agent
 architecture with autonomous AI agents, intelligent decision-making, and
 vulnerability intelligence.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

#export PYBUILD_NAME=hexstrike-ai

%:
	dh $@ #--buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/0x4m4/hexstrike-ai.git \
  HEAD debian

#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/0x4m4/hexstrike-ai/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
